ranges::views::concat_fn Struct Reference

## Synopsis of methods

constexpr concat_fn | concat {}

## Public Member Functions

template<typename... Rngs>
auto | operator() (Rngs &&... rngs) const -> concat_view< all_t< Rngs >... > requires and_v<(viewable_range< Rngs > &&input_range< Rngs >)... >
template<typename Rng >
auto | operator() (Rng &&rng) const -> all_t< Rng > requires viewable_range< Rng > &&input_range< Rng >